--- title: "Sending a Single Prepared SMS" slug: "send-a-single-prepared-sms" updated: 2025-12-05T10:41:27Z published: 2025-12-05T10:41:27Z canonical: "docs.mapp.com/send-a-single-prepared-sms" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Sending a Single Prepared SMS In order to send a prepared SMS to a single recipient, you'll first have to make sure they exist in your system. Once you have their ID, you can send them the message which will also add them to the message's group. > If you'd like, you can test with our Postman Collection here: > > [](https://cdn.document360.io/554b9b98-6720-4d8b-9919-c7b203d72648/Images/Documentation/Sending Single SMS.postman_collection(3).json)Sending Single SMS.postman_collection(3)1.82 KB[](https://cdn.document360.io/554b9b98-6720-4d8b-9919-c7b203d72648/Images/Documentation/Sending Single SMS.postman_collection(3).json) ## Prerequisites Before you begin, make sure you have valid authorization credentials. Please see [this page](/v1-api/apidocs/getting-started-with-engage-api) for more information. The message needs to be set up ahead of time in Engage, as you need the **messageID** for this task. You will also need the contact's mobile number. ## Procedure In order to search for a contact or update their information, you will need to decide which identifier you'd like to use. We'll use their mobile number. If you already have the contact's **recipientID** (this is the same as user or contact ID), you can skip this step. | Contact Identifier Type | Definition | | --- | --- | | EMAIL | The identifier is an email address. | | MOBILE | The identifier is a mobile number. | | APP_ALIAS | The identifier is a mobile app alias. | | EXTERNAL | The identifier is a value generated by an external system. | | ID | Contact (User) identifier | ### 1. Use a POST request to check if the contact exists You'll need the contactID from this call to send them a message. ```javascript 'POST' \  'https://your-engage-domain.com/api/rest/contact/get' \ { "type":"MOBILE", "value":"48505606707" } ``` ```javascript                                                 MOBILE                 48505606707                            ``` | Response | Description | | --- | --- | | 200 | From this request, you should receive a **200** response, with information about the contact. This includes information like their contactID. | | 400 | If the profile does not exist you will receive a **400** response. You can also double-check the number used in the call if you believe there is an existing user profile. | ### 2. Use a POST request to send the message This method also automatically adds the user to the recipient group of the prepared message. While there is a space to include a TLS sender profile and attachment, these should only be used when sending emails and can therefore be left blank here. ```javascript POST' \  'https://your-engage-domain.com/api/rest/message/sendSingle?messageId=23541&recipientId=33457' \ { "parameters": [] } ``` ```javascript                   23541         33457                         ``` ## Conclusion You should receive a **204** response, with no further information. This indicates the message has been sent. If there was a problem, you may receive a **400** response.